# Class ObjectProperty

java.lang.Object
org.apache.jmeter.testelement.property.AbstractProperty
org.apache.jmeter.testelement.property.ObjectProperty

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<JMeterProperty>, JMeterProperty`

public class ObjectProperty extends AbstractProperty

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractProperty

`log`

## Constructor Summary

Constructors
Constructor
Description
`ObjectProperty()`
Default constructor.
`ObjectProperty(String name)`
Constructs an instance with `name` as its name and a `null` value.
`ObjectProperty(String name, Object p)`
Constructs an instance with `name` as its name and the giveN value.

## Method Summary

Modifier and Type
Method
Description
`ObjectProperty`
`clone()`
`Object`
`getObjectValue()`
`String`
`getStringValue()`
`void`
`recoverRunningVersion(TestElement owner)`
Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void`
`setObjectValue(Object value)`
`void`
`setRunningVersion(boolean runningVersion)`
Make the property a running version or turn it off as the running version.

### Methods inherited from class AbstractProperty

`compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ObjectProperty

public ObjectProperty()
Default constructor. Constructs an `ObjectProperty` with no name and a `null` value

### ObjectProperty

public ObjectProperty(String name)
Constructs an instance with `name` as its name and a `null` value.

Parameters:
  `name` - the name of this property

### ObjectProperty

public ObjectProperty(String name, Object p)
Constructs an instance with `name` as its name and the giveN value.

Parameters:
  `name` - the name of this property
  `p` - the value for this property

## Method Details

### recoverRunningVersion

public void recoverRunningVersion(TestElement owner)
Tell the property to revert to the state at the time setRunningVersion(true) was called.

Parameters:
  `owner` - the owning element

### setRunningVersion

public void setRunningVersion(boolean runningVersion)
Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

Specified by:
  `setRunningVersion` in interface `JMeterProperty`
Overrides:
  `setRunningVersion` in class `AbstractProperty`
Parameters:
  `runningVersion` - flag whether this property is a running version

### clone

public ObjectProperty clone()

Specified by:
  `clone` in interface `JMeterProperty`
Overrides:
  `clone` in class `AbstractProperty`

### getStringValue

public String getStringValue()

### getObjectValue

public Object getObjectValue()

### setObjectValue

public void setObjectValue(Object value)